/***********************************/
/*** Fig4_PanelA.do				 ***/
/*** Hetero effect on emp spillover***/
/***********************************/
version 12.0
clear all
set more off
use "Data/_PrefSample.dta", clear

/***********************************/
/*** Regressions				 ***/
/***********************************/
summ urbanrt64 if sample1 == 1, de
local medurbanrt64 = `r(p50)'
	/* median is:  6.524826 */
summ LMSEmp_nm_emp82_rt if urbanrt64 >= `medurbanrt64' & sample1 == 1
summ LMSEmp_nm_emp82_rt if urbanrt64 < `medurbanrt64' & sample1 == 1

# delimit ;
ds ln_dist2rail80 
	meanslope ln_meanelev ln_dist2provcap 
	urbanrt64 ln_popden64 emp36_pop64_rt 
	LMSEmp_mining_emp82_rt
;
# delimit cr
local covlist `r(varlist)'

areg Emp04_nm_ns_emp00_rt `covlist' if sample1 == 1, a(reg2d82) robust
predict Y_res, res
areg LMSEmp_nm_emp82_rt `covlist' if sample1 == 1, a(reg2d82) robust
predict X_res, res


/***********************************/
/*** Graph						 ***/
/***********************************/
# delimit ;
twoway  (scatter Y_res X_res if urbanrt64 >= `medurbanrt64' & sample1 == 1, msize(med) msymbol(dot) mcolor(dknavy))
		(scatter Y_res X_res if urbanrt64 < `medurbanrt64' & sample1 == 1, msize(med) msymbol(X) mcolor(maroon))
		(lfit Y_res X_res if urbanrt64 >= `medurbanrt64' & sample1 == 1, lwidth(med) lpattern(solid) lcolor(dknavy))
		(lfit Y_res X_res if urbanrt64 < `medurbanrt64' & sample1 == 1, lwidth(med) lpattern(solid) lcolor(maroon))
		(lowess Y_res X_res if urbanrt64 >= `medurbanrt64' & sample1 == 1, lwidth(med) lpattern(dash) lcolor(dknavy))
		(lowess Y_res X_res if urbanrt64 < `medurbanrt64' & sample1 == 1, lwidth(med) lpattern(dash) lcolor(maroon))
		, title("") 
		xtitle("TF-built manufacturing capacity, residual") ytitle("private manu emp share (%), residual")		
		graphregion(color(white))
		legend(on order(1 "64 urban rate above median" 2 "64 urban rate below median" 3 "linear fit" 
						 4 "linear fit" 5 "local weighted smoothing" 6 "local weighted smoothing") col(2))	
;
# delimit cr

graph export "Output/Fig4_PanelA.pdf", replace
* end
