/***********************************/
/*** Fig4_PanelB.do				 ***/
/*** Heterogeneous effects on wage, by initial condition ***/
/*** log wage in 05, Census micro data***/
/***********************************/
version 12
clear all
set memory 100m
use "Data/_Sample_IndWage.dta", clear

**********************************************************************
*** VI. HETERO GRAPH, Fig 4, Panel B
**********************************************************************
# delimit ;
ds 	ln_dist2rail80
	ln_dist2provcap ln_meanelev meanslope 	
	urbanrt64 ln_popden64 emp36_pop64_rt
	LMSEmp_mining_emp82_rt
;
# delimit cr
local cvlist `r(varlist)'


set more off	
collapse (mean) income LMSEmp_nm_emp82_rt male `cvlist' reg2d82, by(pref82_code)
gen ln_inc = ln(income)

# delimit ;		
areg ln_inc `cvlist' male
	, a(reg2d82) cluster(pref82_code)
;
# delimit cr
predict ln_inc_res, res

# delimit ;		
areg LMSEmp_nm_emp82_rt `cvlist' male
	, a(reg2d82) cluster(pref82_code)
;
# delimit cr
predict X_res, res


summ urbanrt64, de
local medurbanrt64 = `r(p50)'


# delimit ;
twoway 	(scatter ln_inc_res X_res if urbanrt64 >= `medurbanrt64', msize(small) mcolor(dknavy) msymbol(dot))
		(scatter ln_inc_res X_res if urbanrt64 < `medurbanrt64', msize(medium) mcolor(maroon) msymbol(x))
		(lfit ln_inc_res X_res if urbanrt64 >= `medurbanrt64', lpattern(solid) lcolor(dknavy) lwidth(medium))
		(lfit ln_inc_res X_res if urbanrt64 < `medurbanrt64', lpattern(solid) lcolor(maroon) lwidth(medium))
		(lowess ln_inc_res X_res if urbanrt64 >= `medurbanrt64', lpattern(dash) lcolor(dknavy) lwidth(med))		
		(lowess ln_inc_res X_res if urbanrt64 < `medurbanrt64', lpattern(dash) lcolor(maroon) lwidth(med))		
	, title("")
	 xtitle("TF-built manufacturing capacity, residual") ytitle("ln average residual wage")
	 legend(off)
	graphregion(color(white))
	legend(on order(1 "64 urban rate above median" 2 "64 urban rate below median" 3 "linear fit" 
					4 "linear fit" 5 "local weighted smoothing" 6 "local weighted smoothing") col(2))	

;
# delimit cr
graph export "Output/Fig4_PanelB.pdf", replace
* end
