/***********************************/
/*** Tab1.do					 ***/
/*** Firm Location Choices - Nationwide	 ***/
/*** County Summary Statistics   ***/
/***********************************/
version 12.0
clear all
set more off
set scheme s2color 
use "Data/_Sample_FirmLocationChoice.dta", clear

/****************************************/
/*** I. Summary, Firms in the country ***/
/****************************************/
# delimit ;
ds TFRegion provcap
   meanslope ln_meanelev
   ln_dist2provcap
   urbanrt64 ln_popden64 emp36_pop64_rt
   SectorCode1 SectorCode2 SectorCode3 SectorCode4 
   SectorCode5 SectorCode6 SectorCode7 
;
# delimit cr
local VarList = "`r(varlist)'"
local NVars: word count `VarList'
dis "`NVars'"
dis "`VarList'"

mat B = J(`=2*`NVars'+1',3,0)
local RowNames = ""
foreach var of local VarList {
	local RowNames = "`RowNames' `var' se "
	dis "`RowNames'"
}
local RowName = "`RowNames' N"
mat rownames B = `RowNames' N
mat colnames B = PriorTF TF Diff

local n = 1
foreach var of local VarList {
	dis "`var'"
	qui summ `var' if TFPeriod == 0 
	mat B[`n',1] = round(`r(mean)',0.01)
	mat B[`=`n'+1',1] = round(`r(sd)',0.01)
	qui summ `var' if TFPeriod == 1
	mat B[`n',2] = round(`r(mean)',0.01)
	mat B[`=`n'+1',2] = round(`r(sd)',0.01)
	qui reg `var' TFPeriod, robust
	mat B[`n',3] = round(_b[TFPeriod],0.01)
	mat B[`=`n'+1',3] = round(_se[TFPeriod],0.01)
	local n = `n' + 2
}
qui count if TFPeriod == 0
mat B[`n',1] = `r(N)'
qui count if TFPeriod == 1
mat B[`n',2] = `r(N)' 

matlist B
outtable using "Output/Tab1.tex", mat(B) replace

* end
