/***********************************/
/*** Tab2.do					 ***/
/*** Summary Stats	 			 ***/
/***********************************/
version 12.0
clear all
set more off
use "Data/_PrefSample.dta", clear

/***********************************/
/*** I. Sample					 ***/
/***********************************/
keep if sample1 == 1

/***********************************/
/*** II. Summ Stat				 ***/
/***********************************/
# delimit ;
ds 
	/*A - Employment from LMS plants*/
	LMSEmp_nm_emp82_rt 

	/*B - Site-selection criteria */	
	ln_dist2rail80 meanslope ln_meanelev ln_dist2provcap

	/*C - Pre-TF conditions */		
	urbanrt64 ln_popden64 emp36_pop64_rt ln_dist2rail62
		
	/*D - Firm employment (2004)*/
	Emp04_nm_emp00_rt Emp04_nm_ns_emp00_rt 
	EmpNew04_nm_ns_emp00_rt

	/*E - Rural transformation*/
	InRuralMigRt05 
	ruralempshare_manu00_mi  ruralempshare_nanm00_mi 
;
# delimit cr
local varlist `r(varlist)'

local wc: word count `varlist'
mat B = J(`wc',6,0)
mat rownames B = `r(varlist)'
mat colnames B = N mean sd p10 p50 p90

local n = 1
qui foreach var of local varlist {
		summ `var',de
		mat B[`n',1] = `r(N)'
		mat B[`n',2] = round(`r(mean)',0.001)
		mat B[`n',3] = round(`r(sd)',0.001)
		mat B[`n',4] = round(`r(p10)',0.001)
		mat B[`n',5] = round(`r(p50)',0.001)
		mat B[`n',6] = round(`r(p90)',0.001)

	local n = `n' + 1
}

matlist B
outtable using "Output/Tab2.tex", mat(B) replace
* end
