/***********************************/
/*** Tab5.do					 ***/
/*** IV Validity 				 ***/
/*** Route and timing of railway ***/
/***********************************/
version 12.0
clear all
set more off
use "Data/_PrefSample.dta", clear

/***********************************/
/*** Regressions				 ***/
/***********************************/
local covlist1 "ln_dist2rail80 meanslope ln_meanelev ln_dist2provcap i.reg2d82"
local covlist2 "ln_dist2rail62 ln_dist2rail80 meanslope ln_meanelev ln_dist2provcap i.reg2d82"

forvalues i = 1/2 {
	reg urbanrt64 `covlist`i'' if sample1 == 1, robust
	eststo T`i'_Col1
	summ urbanrt64 if sample1 == 1
	estadd scalar meandepvar = `r(mean)'

	reg ln_popden64 `covlist`i'' if sample1 == 1, robust
	eststo T`i'_Col2
	summ ln_popden64 if sample1 == 1
	estadd scalar meandepvar = `r(mean)'	
	
	reg emp36_pop64_rt  `covlist`i'' if sample1 == 1, robust
	eststo T`i'_Col3
	summ emp36_pop64_rt  if sample1 == 1
	estadd scalar meandepvar = `r(mean)'	

}

/***********************************/
/*** Display and save 			 ***/
/***********************************/
# delimit ;
esttab T1_Col* T2_Col*,
	star(* 0.1 ** 0.05 *** 0.01)
	se(3) b(3)
	keep(ln_dist2rail62 ln_dist2rail80)
	title("IV validity - TF Sample")
	stats(N meandepvar, fmt(%6.0f %6.3f))
	modelwidth(7)
;
# delimit cr

# delimit ;
esttab T1_Col* T2_Col* using "Output/Tab5.tex"
	, replace
	star(* 0.1 ** 0.05 *** 0.01)
	se(3) b(3)
	keep(ln_dist2rail62 ln_dist2rail80)
	title("IV validity - TF Sample")
	stats(N meandepvar, fmt(%6.0f %6.3f))
	modelwidth(7)
;
# delimit cr

* end
