/***********************************/
/*** Tab6.do					 ***/
/*** Baseline					 ***/
/***********************************/
version 12.0
clear all
set more off
use "Data/_PrefSample.dta", clear


**********************************************************************
*** I. Table				
**********************************************************************
local Baseline_cvlist1 "ln_dist2rail80"
local Baseline_cvlist2 "ln_dist2rail80 LMSEmp_mining_emp82_rt meanslope ln_meanelev ln_dist2provcap"
local Baseline_cvlist3 "ln_dist2rail80 LMSEmp_mining_emp82_rt meanslope ln_meanelev ln_dist2provcap urbanrt64 ln_popden64 emp36_pop64_rt"
local Baseline_cvlist4 "ln_dist2rail80 LMSEmp_mining_emp82_rt meanslope ln_meanelev ln_dist2provcap urbanrt64 ln_popden64 emp36_pop64_rt hasriver ln_dist2road60"
local Baseline_cvlist5 "LMSEmp_mining_emp82_rt meanslope ln_meanelev urbanrt64 ln_popden64 emp36_pop64_rt"

/*** Regressions ***/
qui {
areg LMSEmp_nm_emp82_rt ln_dist2rail62 `Baseline_cvlist1' if sample1 == 1, a(reg2d82) robust 
local b_rail62 = _b[ln_dist2rail62]
local se_rail62 = _se[ln_dist2rail62]
local b_rail80 = _b[ln_dist2rail80]
local se_rail80 = _se[ln_dist2rail80]
xi: ivreg2 Emp04_nm_emp00_rt (LMSEmp_nm_emp82_rt = ln_dist2rail62) `Baseline_cvlist1' i.reg2d82 if sample1 == 1, robust first
estadd scalar FSF = `e(rkf)'
summ Emp04_nm_emp00_rt if e(sample) == 1
estadd scalar meandepvar = `r(mean)'
estadd scalar b_rail62 = `b_rail62'
estadd scalar se_rail62 = `se_rail62'
estadd scalar b_rail80 = `b_rail80'
estadd scalar se_rail80 = `se_rail80'
test LMSEmp_nm_emp82_rt = 1
estadd scalar b_gt_1_p = `r(p)'/2
eststo Baseline_Col1

areg LMSEmp_nm_emp82_rt ln_dist2rail62 `Baseline_cvlist2' if sample1 == 1, a(reg2d82) robust 
local b_rail62 = _b[ln_dist2rail62]
local se_rail62 = _se[ln_dist2rail62]
local b_rail80 = _b[ln_dist2rail80]
local se_rail80 = _se[ln_dist2rail80]
xi: ivreg2 Emp04_nm_emp00_rt (LMSEmp_nm_emp82_rt = ln_dist2rail62) `Baseline_cvlist2' i.reg2d82 if sample1 == 1, robust first
estadd scalar FSF = `e(rkf)'
summ Emp04_nm_emp00_rt if e(sample) == 1
estadd scalar meandepvar = `r(mean)'
estadd scalar b_rail62 = `b_rail62'
estadd scalar se_rail62 = `se_rail62'
estadd scalar b_rail80 = `b_rail80'
estadd scalar se_rail80 = `se_rail80'
test LMSEmp_nm_emp82_rt = 1
estadd scalar b_gt_1_p = `r(p)'/2
eststo Baseline_Col2

areg LMSEmp_nm_emp82_rt ln_dist2rail62 `Baseline_cvlist3' if sample1 == 1, a(reg2d82) robust 
local b_rail62 = _b[ln_dist2rail62]
local se_rail62 = _se[ln_dist2rail62]
local b_rail80 = _b[ln_dist2rail80]
local se_rail80 = _se[ln_dist2rail80]
xi: ivreg2 Emp04_nm_emp00_rt (LMSEmp_nm_emp82_rt = ln_dist2rail62) `Baseline_cvlist3' i.reg2d82 if sample1 == 1, robust first
estadd scalar FSF = `e(rkf)'
summ Emp04_nm_emp00_rt if e(sample) == 1
estadd scalar meandepvar = `r(mean)'
estadd scalar b_rail62 = `b_rail62'
estadd scalar se_rail62 = `se_rail62'
estadd scalar b_rail80 = `b_rail80'
estadd scalar se_rail80 = `se_rail80'
test LMSEmp_nm_emp82_rt = 1
estadd scalar b_gt_1_p = `r(p)'/2
eststo Baseline_Col3

areg LMSEmp_nm_emp82_rt ln_dist2rail62 `Baseline_cvlist4' if sample1 == 1, a(reg2d82) robust 
local b_rail62 = _b[ln_dist2rail62]
local se_rail62 = _se[ln_dist2rail62]
local b_rail80 = _b[ln_dist2rail80]
local se_rail80 = _se[ln_dist2rail80]
xi: ivreg2 Emp04_nm_emp00_rt (LMSEmp_nm_emp82_rt = ln_dist2rail62) `Baseline_cvlist4' i.reg2d82 if sample1 == 1, robust first
estadd scalar FSF = `e(rkf)'
summ Emp04_nm_emp00_rt if e(sample) == 1
estadd scalar meandepvar = `r(mean)'
estadd scalar b_rail62 = `b_rail62'
estadd scalar se_rail62 = `se_rail62'
estadd scalar b_rail80 = `b_rail80'
estadd scalar se_rail80 = `se_rail80'
test LMSEmp_nm_emp82_rt = 1
estadd scalar b_gt_1_p = `r(p)'/2
eststo Baseline_Col4

xi: reg LMSEmp_nm_emp82_rt ln_dist2rail62_st ln_dist2rail80_st `Baseline_cvlist5' ln_dist2provcap ln_dist2node i.reg2d82 if sample1 == 1, robust
local b_rail62 = _b[ln_dist2rail62_st]
local se_rail62 = _se[ln_dist2rail62_st]
local b_rail80 = _b[ln_dist2rail80_st]
local se_rail80 = _se[ln_dist2rail80_st]
xi: ivreg2 Emp04_nm_emp00_rt (LMSEmp_nm_emp82_rt = ln_dist2rail62_st) ln_dist2rail80_st `Baseline_cvlist5' ln_dist2provcap ln_dist2node i.reg2d82 if sample1 == 1, robust first
estadd scalar FSF = `e(rkf)'
summ Emp04_nm_emp00_rt if e(sample) == 1
estadd scalar meandepvar = `r(mean)'
estadd scalar b_rail62 = `b_rail62'
estadd scalar se_rail62 = `se_rail62'
estadd scalar b_rail80 = `b_rail80'
estadd scalar se_rail80 = `se_rail80'
test LMSEmp_nm_emp82_rt = 1
estadd scalar b_gt_1_p = `r(p)'/2
eststo Baseline_Col5

xi: reg LMSEmp_nm_emp82_rt ln_dist2rail62_wt ln_dist2rail80_wt `Baseline_cvlist5' ln_dist2provcap ln_dist2node i.reg2d82 if sample1 == 1, robust
local b_rail62 = _b[ln_dist2rail62_wt]
local se_rail62 = _se[ln_dist2rail62_wt]
local b_rail80 = _b[ln_dist2rail80_wt]
local se_rail80 = _se[ln_dist2rail80_wt]
xi: ivreg2 Emp04_nm_emp00_rt (LMSEmp_nm_emp82_rt = ln_dist2rail62_wt) ln_dist2rail80_wt `Baseline_cvlist5' ln_dist2provcap ln_dist2node i.reg2d82 if sample1 == 1, robust first
estadd scalar FSF = `e(rkf)'
summ Emp04_nm_emp00_rt if e(sample) == 1
estadd scalar meandepvar = `r(mean)'
estadd scalar b_rail62 = `b_rail62'
estadd scalar se_rail62 = `se_rail62'
estadd scalar b_rail80 = `b_rail80'
estadd scalar se_rail80 = `se_rail80'
test LMSEmp_nm_emp82_rt = 1
estadd scalar b_gt_1_p = `r(p)'/2
eststo Baseline_Col6

xi: reg LMSEmp_nm_emp82_rt ln_dist2rail62_net ln_dist2rail80 `Baseline_cvlist5' ln_dist2provcap ln_dist2node i.reg2d82 if sample1 == 1, robust
local b_rail62 = _b[ln_dist2rail62_net]
local se_rail62 = _se[ln_dist2rail62_net]
local b_rail80 = _b[ln_dist2rail80]
local se_rail80 = _se[ln_dist2rail80]
xi: ivreg2 Emp04_nm_emp00_rt (LMSEmp_nm_emp82_rt = ln_dist2rail62_net) ln_dist2rail80 `Baseline_cvlist5' ln_dist2provcap ln_dist2node i.reg2d82 if sample1 == 1, robust first
estadd scalar FSF = `e(rkf)'
summ Emp04_nm_emp00_rt if e(sample) == 1
estadd scalar meandepvar = `r(mean)'
estadd scalar b_rail62 = `b_rail62'
estadd scalar se_rail62 = `se_rail62'
estadd scalar b_rail80 = `b_rail80'
estadd scalar se_rail80 = `se_rail80'
test LMSEmp_nm_emp82_rt = 1
estadd scalar b_gt_1_p = `r(p)'/2
eststo Baseline_Col7

xi: reg Emp04_nm_emp00_rt LMSEmp_nm_emp82_rt `Baseline_cvlist3' i.reg2d82 if sample1 == 1, robust
summ Emp04_nm_emp00_rt if e(sample) == 1
estadd scalar meandepvar = `r(mean)'
test LMSEmp_nm_emp82_rt = 1
estadd scalar b_gt_1_p = `r(p)'/2
eststo Baseline_Col8
}

/*** Display and save ***/
# delimit ;
esttab Baseline_Col*, 
	title("Manufacturing Employment in 2004")
	mtitle("base geo +econ +inf st wt net OLS")
	se(3) b(3)
	keep(LMSEmp_nm_emp82_rt)
	star(* 0.1 ** 0.05 *** 0.01)
	stats(b_rail62 se_rail62 b_rail80 se_rail80 N meandepvar FSF b_gt_1_p
		, fmt(%6.3f %6.3f %6.3f %6.3f %6.0f %6.3f %6.3f %6.3f))
	modelwidth(7)
;
# delimit cr

# delimit ;
esttab Baseline_Col* using "Output/Tab6.tex"
	, replace 
	title("Manufacturing Employment in 2004")
	mtitle("base geo +econ +inf st wt net OLS")
	se(3) b(3)
	keep(LMSEmp_nm_emp82_rt)
	star(* 0.1 ** 0.05 *** 0.01)
	stats(b_rail62 se_rail62 b_rail80 se_rail80 N meandepvar FSF b_gt_1_p
		, fmt(%6.3f %6.3f %6.3f %6.3f %6.0f %6.3f %6.3f %6.3f))
	modelwidth(7)
;
# delimit cr
* end

