/***********************************/
/*** Tab8_Col1to6.do			 ***/
/*** Private sector				 ***/
/*** Table 8, Cols 1-6			 ***/
/***********************************/
version 12.0
clear all
set more off
use "Data/_PrefSample.dta", clear

/***********************************/
/*** Regressions				 ***/
/***********************************/
/*** Varlist ***/
# delimit ;
ds ln_dist2rail80 
	meanslope ln_meanelev ln_dist2provcap 
	urbanrt64 ln_popden64 emp36_pop64_rt 
	LMSEmp_mining_emp82_rt
;
# delimit cr
local covlist `r(varlist)'

/*** IV Regs ***/
qui {
# delimit ;
xi: ivreg2 Emp04_nm_ns_emp00_rt (LMSEmp_nm_emp82_rt = ln_dist2rail62) `covlist' i.reg2d82 if sample1 == 1, robust;
# delimit cr
eststo PrivA_Col1
estadd scalar FSF = `e(rkf)'
summ Emp04_nm_ns_emp00_rt if e(sample) == 1
estadd scalar meandepvar = `r(mean)'

# delimit ;
xi: ivreg2 EmpMid04_nm_ns_emp00_rt (LMSEmp_nm_emp82_rt = ln_dist2rail62) `covlist' i.reg2d82 if sample1 == 1, robust;
# delimit cr
eststo PrivA_Col2
estadd scalar FSF = `e(rkf)'
summ EmpMid04_nm_ns_emp00_rt if e(sample) == 1
estadd scalar meandepvar = `r(mean)'

# delimit ;
xi: ivreg2 EmpNNS04_nm_ns_emp00_rt (LMSEmp_nm_emp82_rt = ln_dist2rail62) `covlist' i.reg2d82 if sample1 == 1, robust;
# delimit cr
eststo PrivA_Col3
estadd scalar FSF = `e(rkf)'
summ EmpNNS04_nm_ns_emp00_rt if e(sample) == 1
estadd scalar meandepvar = `r(mean)'
	
# delimit ;
xi: ivreg2 Emp04_nm_ns_emp00_rt (LMSEmp_nm_emp82_rt = ln_dist2rail62) `covlist' Emp_state_share_grth8504 i.reg2d82 if sample1 == 1, robust;
# delimit cr
eststo PrivA_Col4
estadd scalar FSF = `e(rkf)'
summ Emp04_nm_ns_emp00_rt if e(sample) == 1
estadd scalar meandepvar = `r(mean)'
	
# delimit ;
xi: ivreg2 Emp04_nm_ns_emp00_rt (LMSEmp_nm_emp82_rt X_TFMInvStRel85 = ln_dist2rail62 IV_TFMInvStRel85)
	 `covlist' TFMInvStRel85 i.reg2d82 if sample1 == 1, robust;
# delimit cr
eststo PrivA_Col5
estadd scalar FSF = `e(rkf)'
summ Emp04_nm_ns_emp00_rt if e(sample) == 1
estadd scalar meandepvar = `r(mean)'

# delimit ;
xi: ivreg2 NFirm04_nm_ns_emp00_rt (LMSEmp_nm_emp82_rt = ln_dist2rail62) `covlist' i.reg2d82 if sample1 == 1, robust;
# delimit cr
eststo PrivA_Col6
estadd scalar FSF = `e(rkf)'
summ NFirm04_nm_ns_emp00_rt if e(sample) == 1
estadd scalar meandepvar = `r(mean)'
}


/***********************************/
/*** Display and save 			 ***/
/***********************************/
# delimit ;
esttab PrivA_Col*, 
	title("Private, IV")
	mtitle(emp emp8598 empsml emp emp nf)
	se(3) b(3)
	keep(LMSEmp_nm_emp82_rt* Emp_state_share_grth8504 *TFMInvStRel85*)
	star(* 0.1 ** 0.05 *** 0.01)
	stats(N meandepvar FSF, fmt(%6.0f %6.3f %6.3f))
;
# delimit cr

# delimit ;
esttab PrivA_Col* using "Output/Tab8_Col1to6.tex"
	, replace 
	title("Private, IV")
	mtitle(emp emp8598 empsml emp emp nf)
	se(3) b(3)
	keep(LMSEmp_nm_emp82_rt* Emp_state_share_grth8504 *TFMInvStRel85*)
	star(* 0.1 ** 0.05 *** 0.01)
	stats(N meandepvar FSF, fmt(%6.0f %6.3f %6.3f))
;
# delimit cr

* end
