/***********************************/
/*** Tab8_Col8.do				  ***/
/*** Effect on manu wage		   ***/
/*** log wage in 05, Census micro data***/
/***********************************/
version 12.0
clear all
set memory 100m

use "Data/_Sample_IndWage.dta", clear

**********************************************************************
*** I. REGRESSIONS, Tab 8 Col 8, Effect on manu wage
**********************************************************************
set more off
eststo clear

# delimit ;
ds 	ln_dist2rail80
	ln_dist2provcap ln_meanelev meanslope 	
	urbanrt64 ln_popden64 emp36_pop64_rt
	LMSEmp_mining_emp82_rt
;
# delimit cr
local cvlist `r(varlist)'

# delimit ;		
xi: ivreg2 ln_inc (LMSEmp_nm_emp82_rt = ln_dist2rail62) `cvlist' male
	i.reg2d82 
	[aw = wgt]
	, cluster(pref82_code)
;
# delimit cr
eststo IV_Samp3
estadd scalar FSF = `e(widstat)'			
summ income if e(sample) == 1
estadd scalar avginc = `r(mean)'	


/*** Display ***/
# delimit ;
esttab IV_Samp*, 
	title("WAGE, 2005 Census") 
	mtitle(manu)
	se(3) b(3)
	keep(LMSEmp_nm_emp82_rt)
	star(* 0.1 ** 0.05 *** 0.01)
	stats(N FSF avginc, fmt(%6.0f %6.3f %6.3f))
	modelwidth(7)
;
# delimit cr

# delimit ;
esttab IV_Samp* using "Output/Tab8_Col8.tex"
	, replace
	title("WAGE, 2005 Census") 
	mtitle(manu)
	se(3) b(3)
	keep(LMSEmp_nm_emp82_rt)
	star(* 0.1 ** 0.05 *** 0.01)
	stats(N FSF avginc, fmt(%6.0f %6.3f %6.3f))
	modelwidth(7)
;
# delimit cr
* end
